Skip to content

Shares API

2 confirmed endpoints — 1 respond with data, 1 require valid input.

Endpoints with Response Data

GET /prime/api/v1/shares

Retrieve shares

✅ Live — responds with data

Response keys: shares, nextToken


Endpoints Requiring Valid Input

These endpoints are confirmed live but need proper request bodies.

POST /prime/api/v1/shares

Create a new share

⚠️ Live — requires valid request body

Sample Response:

{
  "error": {
    "statusCode": 400,
    "message": "Invalid share creation body",
    "developerMessage": "Invalid share creation body",
    "payload": {
      "messages": [
        "Invalid share creation body"
      ],
      "debug": [
        "BadRequestError"
      ],
      "code": 400,
      "stack": "BadRequestError: Invalid share creation body\n    at createNewShare (/var/task/src/main.js:448609:44)\n    at externalSharesHandler (/var/task/src/main.js:448602:12)\n    at handlerFunc (/var/task/src/main.js:471076:14)\n    at runRequest (/var/task/src/main.js:401790:9)\n    at async BufferedInvokeProcessor.processInvoke (file:///var/runtime/index.mjs:1092:22)\n    at async _Runtime.processSingleConcurrent (file:///var/runtime/index.mjs:1178:7)\n    at async _Runtime.start (file:///var/runtime/index.mjs:1165:7)\n    at async ignition (file:///var/runtime/index.mjs:1634:5)",
      "requestID": "cc9d1771-7bdb-4a64-823a-227507b7b467"
    }
  }
}

Response Schema:

Field Type Required
error object Yes

Note

MIMIR_CLIENT_SYNC.md — create share


Not Found

Method Path Code
GET /prime/api/v1/shares/{shareId} 404